# Blueprint 🎨 - Modern Web UI Language

A modern programming language, which feels like SwiftUI, but for web development.

## Quick Start 🚀

```bash
# Clone and setup
git clone https://github.com/epilogueteam/blueprint.git
cd blueprint
npm install

# Development
npm run dev    # Starts server at http://localhost:3000

# Production
npm run build  # Generates production files
```

## Roadmap 🛣️

- [ ] Blueprint server blocks
- [ ] Blueprint live editor
- [ ] Blueprint components

## Why Blueprint? ✨

- 🎯 SwiftUI-like syntax for web development
- ⚡️ Optimized performance & real-time updates
- 🌐 Cross-platform responsive design
- 💝 Free & open-source
- 🔄 Live reload development

## Development Guide 💻

1. After installation, access your project at `http://localhost:3000`
2. Make changes and see them instantly with live reload
3. For production, build optimized files using `npm run build`
4. Deploy built files to your preferred hosting platform

